import pandas as pd

GENES = ["DDX3Y",
         "KDM5D",
         "RPS4Y1",
         "GSTM1",
         "EIF1AY",
         "ZFY",
         "UTY",
         "USP9Y",
         "CYorf15A",
         "XIST",
         "CYorf15B",
         "RPS28",
         "TTTY15",
         "NLGN4Y",
         "GSTT1",
         "PRKY",
         "RPL9",
         "ERAP2",
         "TMSB4Y",
         "TSIX",
         "DDX11L2",
         "TYW1B",
         "POMZP3",
         "GSTT2",
         "LQK1",
         "FKBP1AP1",
         "CTAG2",
         "NCRNA00185",
         "XRRA1",
         "RPS26",
         "ZFP57",
         "NCRNA00200",
         "POM121L10P",
         "LRRC37A2",
         "LOC391322",
         "SIGLEC12",
         "THNSL2",
         "LOC220594",
         "TPSD1",
         "CSN1S2A",
         "LOC653113",
         "C1QL3",
         "LOC654433",
         "WBSCR27",
         "TTTY14",
         "SNHG5",
         "LOC644172",
         "KRTAP10-6",
         "PNLIP",
         "LOC253039",
         "RBMY1J",
         "NCRNA00230B",
         "HLA-DRB5",
         "LOC100132288",
         "LOC162632",
         "BCORL2",
         "PEX6",
         "LRRC37A",
         "RRP7A",
         "CLDN22",
         "LDHC",
         "LOC286094",
         "XKR9",
         "FRMPD2L1",
         "GBP3",
         "RGPD8",
         "OCM2",
         "C9orf130",
         "MYL1",
         "SNORA54",
         "CSRP3",
         "LRRC30",
         "DEFB118",
         "KRTAP4-3",
         "NBR2",
         "LOC100133469",
         "RNASE12",
         "FAM197Y2",
         "FAM136B",
         "KRTAP10-7",
         "DEFB125",
         "TTTY2",
         "C2orf74",
         "INS",
         "LOC100288778",
         "HLA-DQA2",
         "OR7D2",
         "TSPAN10",
         "SPAG11A",
         "DHX40P1",
         "CACNG2",
         "HLA-L",
         "FAM106A",
         "PRSS54",
         "NBPF3",
         "BTNL3",
         "KRTAP10-5",
         "TPD52L3",
         "GSTM2",
         "POLR2J3"]

HGNC = pd.read_csv("/home/xvvvx/oncobox/data/hgnc/hgnc_complete_set.txt", sep="\t", index_col="symbol")
HGNC = HGNC[~HGNC.index.duplicated(keep='first')]
HGNC = HGNC[HGNC.locus_group == "protein-coding gene"]


def calc_y_chromosome():
    print(any(HGNC.index.duplicated()))
    my_genes = HGNC.filter(GENES, axis=0)
    chrs = [x for x in my_genes["location"] if x[0] in ["Y", "y"]]
    print(chrs, len(chrs))


def main():
    df = pd.read_excel("data/experimental/Obx_norms_v.7_2020_11_24.xlsx", index_col=0)
    df.to_csv("data/experimental/Obx_norms_v.7_2020_11_24.tsv", sep="\t")


if __name__ == "__main__":
    main()
